Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 621929 - RFE: remote agent install cleanup of some things
RFE: remote agent install cleanup of some things
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 10:14 EDT by John Mazzitelli
Modified: 2014-06-18 15:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-08-06 10:14:53 EDT
There are a few things to do to complete the remote agent install.

1) Rather than do the "chdir" as a standalone step in the Install process, we need to do it as the first thing in the chain when "java -jar" invoking the installer. This is because doing it as a separate step is pretty useless since the next SSH command goes back to the user's home directory - we want to go into the install directory (otherwise, the install log file gets placed in the user home dir and not the agent install dir)

2) If one of the steps fails, we should stop. Right now, for example, if the "mkdir -p" fails, we keep going when we should fail and report it as a failure to the caller.

3) We need to fix up the exception throwing/handling so the GWT client gets a more human readable error message for population on the screen. 

4) We should provide the ability to configure the agent bind port (right now it just assumes default of 16163), the server port (right now it assumes 7080), the use of sslservlet (right now it assumes servlet), add transport params to the agent config (in case NAT requires them to do configure jboss/remoting properly) and just generally allow you to reconfigure the agent when installing rather than take the defaults.

5) Be able to perform an UPGRADE of an existing agent - right now we just support "--install"
Comment 1 John Mazzitelli 2010-08-06 11:09:26 EDT
6) be able to authenticate with the remote machine using private keys, rather than passwords.

Note You need to log in before you can comment on or make changes to this bug.